const path = require('path');  // why can't use import
const { VueLoaderPlugin } = require('vue-loader');

module.exports = {
    entry : './src/index.js',
    output : {
        path : path.resolve(__dirname, 'dist'),
        filename : '[name].js',
        libraryTarget: 'umd',
        umdNamedDefine: true
    },
    module : {
        rules : [
            {
                test : /\.js$/,
                use : 'babel-loader',
                exclude: /node_modules/
            },
            {
                test : /\.vue$/,
                use : 'vue-loader',
                exclude: /node_modules/
            }
        ]
    },
    plugins : [
        new VueLoaderPlugin()
    ]
}









